Bug 737099 - RFE: screen shots could default to /var/www/html, include link in logs
Summary: RFE: screen shots could default to /var/www/html, include link in logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: imagefactory
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
Assignee: Ian McLeod
QA Contact: Brad P. Crochet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-09 15:50 UTC by Dave Johnson
Modified: 2012-05-15 20:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-15 20:11:03 UTC
brad: needinfo-
brad: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:0588 normal SHIPPED_LIVE new packages: imagefactory 2012-05-15 22:31:27 UTC

Description Dave Johnson 2011-09-09 15:50:38 UTC
Description of problem:

Ran into another instance of the following.  I ssh in and move the png file into the /var/www/html directory so I can view the screenshot through the a browser.  Be really nice if that was setup by default, maybe make it configable in the image-factory.conf file. 

2011-09-09 11:43:54,765 DEBUG imagefactory.builders.BaseBuilder.FedoraBuilder pid(2298) Message: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/imagefactory/builders/FedoraBuilder.py", line 124, in build_image
    self.build_upload(build_id)
  File "/usr/lib/python2.7/site-packages/imagefactory/builders/FedoraBuilder.py", line 172, in build_upload
    libvirt_xml = self.guest.install(self.app_config["timeout"])
  File "/usr/lib/python2.7/site-packages/oz/Guest.py", line 1315, in install
    return self._do_install(timeout, force, 0)
  File "/usr/lib/python2.7/site-packages/oz/Guest.py", line 1297, in _do_install
    self._wait_for_install_finish(dom, timeout)
  File "/usr/lib/python2.7/site-packages/oz/Guest.py", line 509, in _wait_for_install_finish
    raise oz.OzException.OzException(exc_str)
OzException: No disk activity in 300 seconds, failing.  Check screenshot at /tmpl1-548e1435-dc53-46d5-adae-b6f56fb97954-1315583031.35.png for more detail

2011-09-09 11:43:54,765 DEBUG imagefactory.BuildJob.BuildAdaptor pid(2298) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from FAILED to FAILED
"/var/log/imagefactory.log" 284L, 34663C 


Version-Release number of selected component (if applicable):
imagefactory-0.4.1-2.fc15.noarch

Comment 1 wes hayutin 2011-09-22 14:08:42 UTC
need update

Comment 2 wes hayutin 2011-09-28 16:41:38 UTC
making sure all the bugs are at the right version for future queries

Comment 4 wes hayutin 2012-01-12 16:53:06 UTC
adding to sprint tracker

Comment 5 wes hayutin 2012-01-16 16:25:07 UTC
[paths]
output_dir = /var/lib/libvirt/images
data_dir = /var/lib/oz
screenshot_dir = .


Brad.. please confirm

Comment 6 Brad P. Crochet 2012-01-16 22:19:04 UTC
Verified. screenshot_dir setting is honored. Build 1.0.0rc2.1

Comment 8 errata-xmlrpc 2012-05-15 20:11:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0588.html


Note You need to log in before you can comment on or make changes to this bug.